Name:           mpv
Version:        0.34.1
Release:        %autorelease
Summary:        Media player for the command line

# Most of the source code is LGPLv2+, except:
# 
# GPLv2+:
# audio/out/ao_jack.c audio/out/ao_oss.c stream/dvb_tune.* stream/stream_cdda.c
# stream/stream_dvb.c stream/stream_dvdnav.c video/out/vo_caca.c
# video/out/vo_direct3d.c video/out/vo_vaapi.c video/out/vo_vdpau.c
# video/out/vo_x11.c video/out/vo_xv.c video/out/x11_common.* video/vdpau.c
# video/vdpau_mixer.c
#
# ISC:
# libmpv/* misc/thread_pool.c misc/thread_tools.c player/client.c
# player/lua/console.lua ta/*
#
# BSD:
# audio/filter/af_scaletempo2_internals.h
License:        LGPLv2+ and GPLv2+ and ISC and BSD

URL:            https://mpv.io
Source:         https://github.com/mpv-player/mpv/archive/v%{version}/%{name}-%{version}.tar.gz
# extracted from libmpv/client.h
Source1:        LICENSE.ISC
# extracted from audio/filter/af_scaletempo2_internals.h
Source2:        LICENSE.BSD

# Most build dependencies are determined from the wscript file.
BuildRequires:  waf
BuildRequires:  gcc

# build_options
BuildRequires:  /usr/bin/rst2man

# main_dependencies
BuildRequires:  pkgconfig(mujs)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libbluray)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(zimg)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(vapoursynth)
BuildRequires:  pkgconfig(vapoursynth-script)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(sdl2)

# libav_dependencies
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libavdevice)

# audio_output_features
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(alsa)

# video_output_features
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  /usr/bin/wayland-scanner
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(libva-wayland)
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(caca)
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libshaderc-devel
BuildRequires:  pkgconfig(libplacebo)
BuildRequires:  pkgconfig(vulkan)

# hwaccel_features
BuildRequires:  pkgconfig(ffnvcodec)

BuildRequires:  pkgconfig(lua-5.1)

# for desktop-file-validate
BuildRequires:  desktop-file-utils

# for ownership of /usr/share/icons/hicolor
Requires:       hicolor-icon-theme


%description
mpv is a free (as in freedom) media player for the command line.  It supports a
wide variety of media file formats, audio and video codecs, and subtitle types.


%package -n libmpv
Summary:        Library for the mpv client API


%description -n libmpv
Library to use mpv as a video/audio playback backend in other programs.


%package -n libmpv-devel
Summary:        Development files for libmpv
Requires:       libmpv%{?_isa} = %{version}-%{release}


%description -n libmpv-devel
This package contains the libraries and header files for developing
applications that use libmpv.


%prep
%autosetup
cp %{SOURCE1} %{SOURCE2} .


%build
waf configure \
    --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} \
    --libdir=%{_libdir} \
    --enable-libmpv-shared \
    --enable-sdl2
waf build %{?_smp_mflags}


%install
waf install --destdir=%{buildroot}
install -D -p -m 0644 -t %{buildroot}%{_pkgdocdir} RELEASE_NOTES


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/mpv.desktop


%files
%license Copyright LICENSE.LGPL LICENSE.GPL LICENSE.ISC LICENSE.BSD
%{_docdir}/mpv
%dir %{_sysconfdir}/mpv
%config(noreplace) %{_sysconfdir}/mpv/encoding-profiles.conf
%{_bindir}/mpv
%{_mandir}/man1/mpv.1*
%{_datadir}/applications/mpv.desktop
%{_datadir}/icons/hicolor/*/apps/mpv*.*
%{_datadir}/bash-completion/completions/mpv
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mpv


%files -n libmpv
%license Copyright LICENSE.LGPL LICENSE.GPL LICENSE.ISC LICENSE.BSD
%{_libdir}/libmpv.so.*


%files -n libmpv-devel
%{_includedir}/mpv
%{_libdir}/libmpv.so
%{_libdir}/pkgconfig/mpv.pc


%changelog
%autochangelog
